package ru.yandex.autotests.directapi.darkside.datacontainers.http.request;

import java.util.HashMap;

/**
 * Created by omaz on 25.03.14.
 */
public class AgencyCheckForMetricaRequest extends HashMap<String, String> {
    static final String UID = "uid";
    static final String CLIENT_UID = "client_uid";
    static final String AGENCY_UID = "agency_uid";

    public AgencyCheckForMetricaRequest withUid(String uid) {
        put(UID, uid);
        return this;
    }

    public AgencyCheckForMetricaRequest withClientUid(String uid) {
        put(CLIENT_UID, uid);
        return this;
    }

    public AgencyCheckForMetricaRequest withAgencyUid(String uid) {
        put(AGENCY_UID, uid);
        return this;
    }
}
